AirNav RadarBox
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
 


Author Topic: 978 / 1090 Combo  (Read 293 times)

0 Members and 1 Guest are viewing this topic.

n7nat

  • New Member
  • *
  • Posts: 4
978 / 1090 Combo
« on: March 21, 2020, 07:32:49 PM »
I have been running a Raspberry pi with RadarBox 1090, I just received a RadarBox 978 flightstick. Can anyone tell me if I can use both flightsticks on the same Raspberry.

If so do I need to change any settings, or is it maybe plug n play or worst plug and pray.

Any input from anyone would help, so I will sit idle till I figure out what to do.

abcd567

  • Sr. Member
  • ****
  • Posts: 323
  • CYYZ - Toronto
Re: 978 / 1090 Combo
« Reply #1 on: March 22, 2020, 03:46:45 AM »
You can run both 1090 and 978 on same Pi.
You need two sticks (one for 1090 one for 978), which you already got.
You will also need two antennas, one for each stick.


1. Open file rbfeeder.ini for editing

Code: [Select]
sudo nano /etc/rbfeeder.ini   


You will see the code below:
Note: use arrow key to scroll down and see the last line

Quote
[client]
network_mode=true
log_file=/var/log/rbfeeder.log
key=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

lat=xx.xxxxxx
lon=yy.yyyyy
alt=zzz

sn=EXTRPI00xxxx

sat_used=0
sat_visible=0

[network]
mode=beast
external_port=30005
external_host=127.0.0.1

[mlat]
autostart_mlat=true
#mlat_cmd=/usr/bin/python3.5 /usr/bin/mlat-client

[dump978]
#dump978_enabled=true





2. Remove # at start of last line #dump978_enabled=true
The the line will become:
dump978_enabled=true

3. Save file (Ctrl+O) and close file (Ctrl+X)

4. Restart rbfeeder
Code: [Select]
sudo systemctl restart rbfeeder   


ENJOY !!!

NOTE:
If your file /etc/rbfeeder.ini does not have lines for dump978, check if you have dump978 installed


Code: [Select]
apt policy dump978-rb

If you have it installed, it will output following:
dump978-rb:
  Installed: 1.0.1+buster
  Candidate: 1.0.1+buster


Also check version of rbfeeder
Code: [Select]
apt policy rbfeeder

If you have latest version (which installs dump978-rb), yo will get this output:
rbfeeder:
  Installed: 0.3.3-20200203195559
  Candidate: 0.3.3-20200203195559
« Last Edit: March 22, 2020, 06:20:48 AM by abcd567 »

n7nat

  • New Member
  • *
  • Posts: 4
Re: 978 / 1090 Combo
« Reply #2 on: March 22, 2020, 12:54:25 PM »
Sounds too simple, I guess I will have to give it a try and see how it works.
Thanks a bunch.